Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 618306 - Support custom HW profiles in C libdeltacloud
Support custom HW profiles in C libdeltacloud
Status: CLOSED CURRENTRELEASE
Product: CloudForms Cloud Engine
Classification: Retired
Component: aeolus-conductor (Show other bugs)
0.3.1
All Linux
low Severity medium
: rc
: ---
Assigned To: Chris Lalancette
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-26 11:49 EDT by Jan Provaznik
Modified: 2012-01-26 07:30 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Provaznik 2010-07-26 11:49:00 EDT
Description of problem:
To be able to customize HW profiles in Aggregator, C deltacloud lib should support passing HW profile as a hash when creating instance. In similar way as ruby client lib.
Comment 1 Chris Lalancette 2010-07-26 13:07:29 EDT
Here's some of my ramblings from IRC; summary is that we can do it, it just needs to be implemented:

* clalance was reading the code in parallel
<clalance> int deltacloud_create_instance(struct deltacloud_api *api, const char *image_id,
<clalance>           const char *name, const char *realm_id,
<clalance>           const char *hardware_profile,
<clalance>           struct deltacloud_instance *inst)
<clalance> So I just take a "hardware_profile" string in.
<clalance> And then I put it into the request as a POST parameter:
<clalance>   if (hardware_profile != NULL) {
<clalance>     safehwp = curl_escape(hardware_profile, 0);
<clalance>     if (safehwp == NULL)
<clalance>       error = 1;
<clalance>     fprintf(paramfp, "&hwp_id=%s", safehwp);
<clalance>   }
* clalance now wonders how the ruby client is going to achieve this
<clalance> Oh, I see.
<clalance> It will take the hash, and for each variable in the hash, make a new parameter called hwp_<key>
<clalance> OK.
<clalance> I can make the C library do this, it just doesn't at present.
Comment 2 Scott Seago 2010-10-05 10:23:24 EDT
We definitely need this functionality in the scheduler. However we're not going to allow arbitrary HW Profile customization in the UI. We'll be using HW Profile customization in the mapping layer between "cloud engine" HWPs and "provider" HWPs. So the user would pick "cloud engine small", which might map to a regular HWP on ec2 (doesn't allow customization) but to a customized profile on RHEV.
Comment 3 Chris Lalancette 2011-04-28 16:52:07 EDT
This is now done, so switching it over to MODIFIED.

Chris Lalancette
Comment 4 wes hayutin 2011-06-14 11:39:42 EDT
moving to on_qa for review
Comment 5 wes hayutin 2011-07-08 17:47:40 EDT
HWP are working between ec2, vmware, and rhevm..
moving to verified
Comment 6 wes hayutin 2011-08-01 15:55:58 EDT
release pending...
Comment 7 wes hayutin 2011-08-01 15:57:38 EDT
release pending...
Comment 9 wes hayutin 2011-12-08 08:54:14 EST
closing out old bugs
Comment 10 wes hayutin 2011-12-08 09:07:35 EST
perm close

Note You need to log in before you can comment on or make changes to this bug.